#include <bits/stdc++.h>
#define endl '\n'
#define int long long

using namespace std;

int32_t main()
{
    ios_base::sync_with_stdio(false);
    cin.tie(0);

    int n,k;
    cin>>n>>k;
    vector<int> v(k);
    for(int i=0;i<k;i++)cin>>v[i];
    for(int i=0;i<k;i++){
        int ans=0ll;
        for(int j=0;j<k;j++){
            if(v[i]%v[j]==0ll)ans=ans^v[j];
        }
        cout<<ans<<' ';

    }
    cout<<endl;
    return 0;
}